UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Add an element to an array field by field name

## Functions
LBMSDMExpDLL int | lbmsdm_msg_add_boolean_elem_name (lbmsdm_msg_t *Message, const char *Name, uint8_t Value)
| Add an array field element in a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_add_int8_elem_name (lbmsdm_msg_t *Message, const char *Name, int8_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_uint8_elem_name (lbmsdm_msg_t *Message, const char *Name, uint8_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_int16_elem_name (lbmsdm_msg_t *Message, const char *Name, int16_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_uint16_elem_name (lbmsdm_msg_t *Message, const char *Name, uint16_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_int32_elem_name (lbmsdm_msg_t *Message, const char *Name, int32_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_uint32_elem_name (lbmsdm_msg_t *Message, const char *Name, uint32_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_int64_elem_name (lbmsdm_msg_t *Message, const char *Name, int64_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_uint64_elem_name (lbmsdm_msg_t *Message, const char *Name, uint64_t Value)
LBMSDMExpDLL int | lbmsdm_msg_add_float_elem_name (lbmsdm_msg_t *Message, const char *Name, float Value)
LBMSDMExpDLL int | lbmsdm_msg_add_double_elem_name (lbmsdm_msg_t *Message, const char *Name, double Value)
LBMSDMExpDLL int | lbmsdm_msg_add_decimal_elem_name (lbmsdm_msg_t *Message, const char *Name, const lbmsdm_decimal_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_add_timestamp_elem_name (lbmsdm_msg_t *Message, const char *Name, const struct timeval *Value)
LBMSDMExpDLL int | lbmsdm_msg_add_message_elem_name (lbmsdm_msg_t *Message, const char *Name, const lbmsdm_msg_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_add_string_elem_name (lbmsdm_msg_t *Message, const char *Name, const char *Value)
LBMSDMExpDLL int | lbmsdm_msg_add_unicode_elem_name (lbmsdm_msg_t *Message, const char *Name, const wchar_t *Value, size_t Length)
| Add a unicode array field element in a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_add_blob_elem_name (lbmsdm_msg_t *Message, const char *Name, const void *Value, size_t Length)
| Add a BLOB array field element in a message by field name. More...

## Detailed Description

The functions in this group allow an element to be added to an array field referenced by field name.

## Function Documentation

LBMSDMExpDLL int lbmsdm_msg_add_blob_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | const void * | Value,
|  | size_t | Length
| ) |  |

Add a BLOB array field element in a message by field name.

Parameters

  Message | The SDM message containing the field.
  Name | Field name.
  Value | Element value.
  Length | Length of the BLOB data, in bytes.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_add_boolean_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint8_t | Value
| ) |  |

Add an array field element in a message by field name.

Parameters

  Message | The SDM message containing the field.
  Name | Field name.
  Value | Element value.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_add_decimal_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | const lbmsdm_decimal_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_double_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | double | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_float_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | float | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int16_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int16_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int32_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int32_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int64_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int64_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int8_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int8_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_message_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | const lbmsdm_msg_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_string_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | const char * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_timestamp_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | const struct timeval * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint16_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint16_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint32_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint32_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint64_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint64_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint8_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint8_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_unicode_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | const wchar_t * | Value,
|  | size_t | Length
| ) |  |

Add a unicode array field element in a message by field name.

Parameters

  Message | The SDM message containing the field.
  Name | Field name.
  Value | Element value.
  Length | Length of the unicode string, in `wchar_t`s.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.